nxt

## Class Poll

- java.lang.Object
- - nxt.Poll

-     public final class Poll
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Poll.OptionResult`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getAccountId()`
    `static DbIterator<Poll>` | `getActivePolls(int from, int to)`
    `static DbIterator<Poll>` | `getAllPolls(int from, int to)`
    `static int` | `getCount()`
    `java.lang.String` | `getDescription()`
    `int` | `getFinishHeight()`
    `long` | `getId()`
    `byte` | `getMaxNumberOfOptions()`
    `byte` | `getMaxRangeValue()`
    `byte` | `getMinNumberOfOptions()`
    `byte` | `getMinRangeValue()`
    `java.lang.String` | `getName()`
    `java.lang.String[]` | `getOptions()`
    `static Poll` | `getPoll(long id)`
    `static DbIterator<Poll>` | `getPollsByAccount(long accountId, boolean includeFinished, boolean finishedOnly, int from, int to)`
    `static DbIterator<Poll>` | `getPollsFinishingAt(int height)`
    `static DbIterator<Poll>` | `getPollsFinishingAtOrBefore(int height, int from, int to)`
    `static DbIterator<Poll>` | `getPollsFinishingBetween(int minHeight, int height, int from, int to)`
    `java.util.List<Poll.OptionResult>` | `getResults()`
    `java.util.List<Poll.OptionResult>` | `getResults(VoteWeighting voteWeighting)`
    `int` | `getTimestamp()`
    `DbIterator<Vote>` | `getVotes()`
    `VoteWeighting` | `getVoteWeighting()`
    `boolean` | `isFinished()`
    `static DbIterator<Poll>` | `searchPolls(java.lang.String query, boolean includeFinished, int from, int to)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getPoll

          public static Poll getPoll(long id)

    - #### getPollsFinishingAtOrBefore

          public static DbIterator<Poll> getPollsFinishingAtOrBefore(int height,
                                                                     int from,
                                                                     int to)

    - #### getPollsFinishingBetween

          public static DbIterator<Poll> getPollsFinishingBetween(int minHeight,
                                                                  int height,
                                                                  int from,
                                                                  int to)

    - #### getAllPolls

          public static DbIterator<Poll> getAllPolls(int from,
                                                     int to)

    - #### getActivePolls

          public static DbIterator<Poll> getActivePolls(int from,
                                                        int to)

    - #### getPollsByAccount

          public static DbIterator<Poll> getPollsByAccount(long accountId,
                                                           boolean includeFinished,
                                                           boolean finishedOnly,
                                                           int from,
                                                           int to)

    - #### getPollsFinishingAt

          public static DbIterator<Poll> getPollsFinishingAt(int height)

    - #### searchPolls

          public static DbIterator<Poll> searchPolls(java.lang.String query,
                                                     boolean includeFinished,
                                                     int from,
                                                     int to)

    - #### getCount

          public static int getCount()

    - #### getResults

          public java.util.List<Poll.OptionResult> getResults(VoteWeighting voteWeighting)

    - #### getResults

          public java.util.List<Poll.OptionResult> getResults()

    - #### getVotes

          public DbIterator<Vote> getVotes()

    - #### getName

          public java.lang.String getName()

    - #### getDescription

          public java.lang.String getDescription()

    - #### getOptions

          public java.lang.String[] getOptions()

    - #### getMinNumberOfOptions

          public byte getMinNumberOfOptions()

    - #### getMaxNumberOfOptions

          public byte getMaxNumberOfOptions()

    - #### getMinRangeValue

          public byte getMinRangeValue()

    - #### getMaxRangeValue

          public byte getMaxRangeValue()

    - #### getTimestamp

          public int getTimestamp()

    - #### isFinished

          public boolean isFinished()

    - #### getId

          public final long getId()

    - #### getAccountId

          public final long getAccountId()

    - #### getFinishHeight

          public final int getFinishHeight()

    - #### getVoteWeighting

          public final VoteWeighting getVoteWeighting()